Skip to content
Go to Micro

List apps/CRMs in a workspace

GET/v2/prism/{teamId}/lists

Returns non-core lists the caller can access in the workspace. Core system apps (Messages, All Inbox) are excluded.

Path ParametersExpand Collapse
teamId: optional string
formatuuid
ReturnsExpand Collapse
data: array of List { id, name, object_type, 6 more }
id: string
formatuuid
name: string
minLength1
object_type: "organization" or "identity" or "action" or 2 more

Prism object type this list holds.

One of the following:
"organization"
"identity"
"action"
"document"
"deal"
team_id: string
formatuuid
created_at: optional string
formatdate-time
description: optional string
icon: optional string

Emoji or icon key for the list.

type: optional string

Internal template type (e.g. dealFlow, hiring). Derived from template_id on create.

views: optional array of object { id, name }
id: string
formatuuid
name: optional string

List apps/CRMs in a workspace

curl https://developers.micro.so/v2/prism/$TEAM_ID/lists \
    -H "x-api-key: $MICRO_API_KEY"
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "x",
      "object_type": "organization",
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "icon": "icon",
      "type": "type",
      "views": [
        {
          "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "name": "name"
        }
      ]
    }
  ]
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "x",
      "object_type": "organization",
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "icon": "icon",
      "type": "type",
      "views": [
        {
          "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "name": "name"
        }
      ]
    }
  ]
}